Loading...
Searching...
No Matches
Gfx::CWater::WaterLine Struct Reference

Water strip. More...

`#include <src/graphics/engine/water.h>`

## Public Attributes

short | x = 0
| Beginning of line (terrain coordinates).
short | y = 0
short | len = 0
| Length in X direction (terrain coordinates).
float | px1 = 0
| X (1, 2) and Z coordinates (world coordinates).
float | px2 = 0
float | pz = 0

## Detailed Description

Water strip.

## Member Data Documentation

## x

short Gfx::CWater::WaterLine::x = 0

Beginning of line (terrain coordinates).

## len

short Gfx::CWater::WaterLine::len = 0

Length in X direction (terrain coordinates).

## px1

float Gfx::CWater::WaterLine::px1 = 0

X (1, 2) and Z coordinates (world coordinates).

The documentation for this struct was generated from the following file:

- src/graphics/engine/water.h